---
title: "Lookup objects for relation"
url: https://hexelstudio.com/docs/api/ciam-iam/relations/lookup-objects
---

# Lookup objects for relation

**GET** `/relations/lookup-objects`

Lists objects within the caller's organization.

## Query parameters

- `namespace: string`

  Namespace

- `relation: string`

  Relation

- `subject_type: string`

  Subject Type

- `subject_id: string`

  Subject ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of RelationTuple`)

- `created_at: optional string`

- `id: optional string`

- `namespace: optional string`

  resource type: "document"

- `object_id: optional string`

  resource id

- `organization_id: optional string`

- `relation: optional string`

  "owner", "editor", "viewer"

- `subject_id: optional string`

  user/group id

- `subject_relation: optional string`

  for userset rewrite: namespace:object#relation

- `subject_type: optional string`

  "user", "group", "namespace"

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/relations/lookup-objects?namespace=NAMESPACE&relation=RELATION&subject_type=SUBJECT_TYPE&subject_id=SUBJECT_ID' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "created_at": "2026-01-01T00:00:00Z",
    "id": "string",
    "namespace": "string",
    "object_id": "string",
    "organization_id": "string",
    "relation": "string",
    "subject_id": "string",
    "subject_relation": "string",
    "subject_type": "string"
  }
]
```
